Subject: Re: [mingw port] Problem starting git subcommands

From: Johannes Sixt <[email-masked]>
Date: Mon, 09 Jul 2007 10:49:15 +0200

Henning Rogge wrote:
> 
> I have experimented with GIT on my linux system successfully but one
> of my projects has to be done on Windows (neither VMware Workstation
> nor Wine can help at the moment) so I got a copy of the mingw port of
> GIT (http://lilypond.org/git/binaries/mingw/git-1.5.2.1-1.mingw.exe).
> 
> Installation succeeded without a single error but when I tried to run
> a few GIT commands I noticed a "bug":
> 
> the git.exe command does not recognize any scripted subcommand
> (git-clone in my case) !
> > C:\Programme\Git>git clone
> > git: 'clone' is not a git-command
> 
> Do I need another software package ? I tried to install the Mingw
> package itself, but it did not help at all.

Yes, you need a shell and some Posix tools. Install MSYS, e.g.

   MSYS-1.0.11-2004.04.30-1.exe

You will also want a ssh and perl, e.g. from

   msysDTK-1.0.1.exe

and MinGW's tcl/tk from

   tcltk-8.4.1-1.exe

Also, git-am seems to require bash 3.1, e.g. from

   bash-3.1-MSYS-1.0.11-snapshot.tar.bz2

-- Hannes